package com.ruoyi.quotation.service.impl;

import java.util.List;

import com.ruoyi.quotation.domain.TSeapriceQueryLog;
import com.ruoyi.quotation.mapper.TSeapriceQueryLogMapper;
import com.ruoyi.quotation.service.ITSeapriceQueryLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 海运价格查询日志记录Service业务层处理
 * 
 * @author frank
 * @date 2021-07-16
 */
@Service
public class TSeapriceQueryLogServiceImpl implements ITSeapriceQueryLogService
{
    @Autowired
    private TSeapriceQueryLogMapper tSeapriceQueryLogMapper;

    /**
     * 查询海运价格查询日志记录
     * 
     * @param fId 海运价格查询日志记录ID
     * @return 海运价格查询日志记录
     */
    @Override
    public TSeapriceQueryLog selectTSeapriceQueryLogById(Long fId)
    {
        return tSeapriceQueryLogMapper.selectTSeapriceQueryLogById(fId);
    }

    /**
     * 查询海运价格查询日志记录列表
     * 
     * @param tSeapriceQueryLog 海运价格查询日志记录
     * @return 海运价格查询日志记录
     */
    @Override
    public List<TSeapriceQueryLog> selectTSeapriceQueryLogList(TSeapriceQueryLog tSeapriceQueryLog)
    {
        return tSeapriceQueryLogMapper.selectTSeapriceQueryLogList(tSeapriceQueryLog);
    }

    /**
     * 新增海运价格查询日志记录
     * 
     * @param tSeapriceQueryLog 海运价格查询日志记录
     * @return 结果
     */
    @Override
    public int insertTSeapriceQueryLog(TSeapriceQueryLog tSeapriceQueryLog)
    {
        return tSeapriceQueryLogMapper.insertTSeapriceQueryLog(tSeapriceQueryLog);
    }

    /**
     * 修改海运价格查询日志记录
     * 
     * @param tSeapriceQueryLog 海运价格查询日志记录
     * @return 结果
     */
    @Override
    public int updateTSeapriceQueryLog(TSeapriceQueryLog tSeapriceQueryLog)
    {
        return tSeapriceQueryLogMapper.updateTSeapriceQueryLog(tSeapriceQueryLog);
    }

    /**
     * 批量删除海运价格查询日志记录
     * 
     * @param fIds 需要删除的海运价格查询日志记录ID
     * @return 结果
     */
    @Override
    public int deleteTSeapriceQueryLogByIds(Long[] fIds)
    {
        return tSeapriceQueryLogMapper.deleteTSeapriceQueryLogByIds(fIds);
    }

    /**
     * 删除海运价格查询日志记录信息
     * 
     * @param fId 海运价格查询日志记录ID
     * @return 结果
     */
    @Override
    public int deleteTSeapriceQueryLogById(Long fId)
    {
        return tSeapriceQueryLogMapper.deleteTSeapriceQueryLogById(fId);
    }
}
